%define upstream_name    GeoIP2
%define upstream_version 2.006002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Contains data for the represented country record associated with an IP address
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GeoIP2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Validate::IP)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MaxMind::DB::Metadata)
BuildRequires: perl(MaxMind::DB::Reader)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(Throwable::Error)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(URI)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This distribution provides an API for the GeoIP2
http://dev.maxmind.com/geoip/geoip2/web-services and
http://dev.maxmind.com/geoip/geoip2/downloadable. The API also works with
the free http://dev.maxmind.com/geoip/geoip2/geolite2/.

See the GeoIP2::WebService::Client manpage for details on the web service
client API and the GeoIP2::Database::Reader manpage for the database API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json LICENSE INSTALL
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/web-service-request



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.6.2-2.mga10
+ Revision: 2229905
- Mageia 10 Mass Rebuild

* Sun Nov 10 2024 wally <wally> 2.6.2-1.mga10
+ Revision: 2113635
- imported package perl-GeoIP2


* Sun Nov 10 2024 cpan2dist 2.006002-1mga
- initial mageia release, generated with cpan2dist
